Imported Upstream version 2.5.1
[debian/amanda] / Makefile.in
1 # Makefile.in generated by automake 1.9.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 srcdir = @srcdir@
18 top_srcdir = @top_srcdir@
19 VPATH = @srcdir@
20 pkgdatadir = $(datadir)/@PACKAGE@
21 pkglibdir = $(libdir)/@PACKAGE@
22 pkgincludedir = $(includedir)/@PACKAGE@
23 top_builddir = .
24 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
25 INSTALL = @INSTALL@
26 install_sh_DATA = $(install_sh) -c -m 644
27 install_sh_PROGRAM = $(install_sh) -c
28 install_sh_SCRIPT = $(install_sh) -c
29 INSTALL_HEADER = $(INSTALL_DATA)
30 transform = $(program_transform_name)
31 NORMAL_INSTALL = :
32 PRE_INSTALL = :
33 POST_INSTALL = :
34 NORMAL_UNINSTALL = :
35 PRE_UNINSTALL = :
36 POST_UNINSTALL = :
37 build_triplet = @build@
38 host_triplet = @host@
39 target_triplet = @target@
40 subdir = .
41 DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
42         $(srcdir)/Makefile.in $(top_srcdir)/configure AUTHORS \
43         ChangeLog INSTALL NEWS
44 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
45 am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
46         $(top_srcdir)/configure.in
47 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
48         $(ACLOCAL_M4)
49 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
50  configure.lineno configure.status.lineno
51 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
52 CONFIG_HEADER = $(top_builddir)/config/config.h
53 CONFIG_CLEAN_FILES =
54 SOURCES =
55 DIST_SOURCES =
56 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
57         html-recursive info-recursive install-data-recursive \
58         install-exec-recursive install-info-recursive \
59         install-recursive installcheck-recursive installdirs-recursive \
60         pdf-recursive ps-recursive uninstall-info-recursive \
61         uninstall-recursive
62 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
63 am__vpath_adj = case $$p in \
64     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
65     *) f=$$p;; \
66   esac;
67 am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
68 am__installdirs = "$(DESTDIR)$(pkgdatadir)"
69 pkgdataDATA_INSTALL = $(INSTALL_DATA)
70 DATA = $(pkgdata_DATA)
71 ETAGS = etags
72 CTAGS = ctags
73 DIST_SUBDIRS = config common-src amandad-src tape-src client-src \
74         dumper-src server-src changer-src restore-src recover-src \
75         oldrecover-src amplot man docs example
76 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
77 distdir = $(PACKAGE)-$(VERSION)
78 top_distdir = $(distdir)
79 am__remove_distdir = \
80   { test ! -d $(distdir) \
81     || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
82          && rm -fr $(distdir); }; }
83 DIST_ARCHIVES = $(distdir).tar.gz
84 GZIP_ENV = --best
85 distuninstallcheck_listfiles = find . -type f -print
86 distcleancheck_listfiles = find . -type f -print
87 ACLOCAL = @ACLOCAL@
88 ALLOCA = @ALLOCA@
89 AMANDA_DBGDIR = @AMANDA_DBGDIR@
90 AMANDA_DEBUG_DAYS = @AMANDA_DEBUG_DAYS@
91 AMANDA_TMPDIR = @AMANDA_TMPDIR@
92 AMDEP_FALSE = @AMDEP_FALSE@
93 AMDEP_TRUE = @AMDEP_TRUE@
94 AMLINT = @AMLINT@
95 AMLINTFLAGS = @AMLINTFLAGS@
96 AMPLOT_CAT_COMPRESS = @AMPLOT_CAT_COMPRESS@
97 AMPLOT_CAT_GZIP = @AMPLOT_CAT_GZIP@
98 AMPLOT_CAT_PACK = @AMPLOT_CAT_PACK@
99 AMPLOT_COMPRESS = @AMPLOT_COMPRESS@
100 AMTAR = @AMTAR@
101 AM_CFLAGS = @AM_CFLAGS@
102 AR = @AR@
103 AUTOCONF = @AUTOCONF@
104 AUTOHEADER = @AUTOHEADER@
105 AUTOMAKE = @AUTOMAKE@
106 AWK = @AWK@
107 AWK_VAR_ASSIGNMENT_OPT = @AWK_VAR_ASSIGNMENT_OPT@
108 BINARY_OWNER = @BINARY_OWNER@
109 BUILD_MAN_PAGES_FALSE = @BUILD_MAN_PAGES_FALSE@
110 BUILD_MAN_PAGES_TRUE = @BUILD_MAN_PAGES_TRUE@
111 CAT = @CAT@
112 CC = @CC@
113 CCDEPMODE = @CCDEPMODE@
114 CFLAGS = @CFLAGS@
115 CHIO = @CHIO@
116 CHS = @CHS@
117 CLIENT_LOGIN = @CLIENT_LOGIN@
118 CLIENT_SCRIPTS_OPT = @CLIENT_SCRIPTS_OPT@
119 COMPRESS = @COMPRESS@
120 CONFIGURE_COMMAND = @CONFIGURE_COMMAND@
121 CONFIG_DIR = @CONFIG_DIR@
122 CPP = @CPP@
123 CPPFLAGS = @CPPFLAGS@
124 CXX = @CXX@
125 CXXCPP = @CXXCPP@
126 CXXDEPMODE = @CXXDEPMODE@
127 CXXFLAGS = @CXXFLAGS@
128 CYGPATH_W = @CYGPATH_W@
129 DB_EXT = @DB_EXT@
130 DD = @DD@
131 DEFAULT_CHANGER_DEVICE = @DEFAULT_CHANGER_DEVICE@
132 DEFAULT_CONFIG = @DEFAULT_CONFIG@
133 DEFAULT_RAW_TAPE_DEVICE = @DEFAULT_RAW_TAPE_DEVICE@
134 DEFAULT_SERVER = @DEFAULT_SERVER@
135 DEFAULT_TAPE_DEVICE = @DEFAULT_TAPE_DEVICE@
136 DEFAULT_TAPE_SERVER = @DEFAULT_TAPE_SERVER@
137 DEFS = @DEFS@
138 DEPDIR = @DEPDIR@
139 DOC_BUILD_DATE = @DOC_BUILD_DATE@
140 DUMP = @DUMP@
141 DUMPER_DIR = @DUMPER_DIR@
142 ECHO = @ECHO@
143 ECHO_C = @ECHO_C@
144 ECHO_N = @ECHO_N@
145 ECHO_T = @ECHO_T@
146 EGREP = @EGREP@
147 EXEEXT = @EXEEXT@
148 F77 = @F77@
149 FFLAGS = @FFLAGS@
150 GETCONF = @GETCONF@
151 GNUPLOT = @GNUPLOT@
152 GNUTAR = @GNUTAR@
153 GNUTAR_LISTED_INCREMENTAL_DIR = @GNUTAR_LISTED_INCREMENTAL_DIR@
154 GNUTAR_LISTED_INCREMENTAL_DIRX = @GNUTAR_LISTED_INCREMENTAL_DIRX@
155 GREP = @GREP@
156 GZIP = @GZIP@
157 HAVE_XSLTPROC_FALSE = @HAVE_XSLTPROC_FALSE@
158 HAVE_XSLTPROC_TRUE = @HAVE_XSLTPROC_TRUE@
159 INSTALL_DATA = @INSTALL_DATA@
160 INSTALL_PROGRAM = @INSTALL_PROGRAM@
161 INSTALL_SCRIPT = @INSTALL_SCRIPT@
162 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
163 LDFLAGS = @LDFLAGS@
164 LEX = @LEX@
165 LEXLIB = @LEXLIB@
166 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
167 LIBOBJS = @LIBOBJS@
168 LIBS = @LIBS@
169 LIBTOOL = @LIBTOOL@
170 LIBTOOL_DEPS = @LIBTOOL_DEPS@
171 LL_FMT = @LL_FMT@
172 LN_S = @LN_S@
173 LTALLOCA = @LTALLOCA@
174 LTLIBOBJS = @LTLIBOBJS@
175 MAILER = @MAILER@
176 MAKEINFO = @MAKEINFO@
177 MAXTAPEBLOCKSIZE = @MAXTAPEBLOCKSIZE@
178 MCUTIL = @MCUTIL@
179 MT = @MT@
180 MTX = @MTX@
181 MT_FILE_FLAG = @MT_FILE_FLAG@
182 OBJEXT = @OBJEXT@
183 PACKAGE = @PACKAGE@
184 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
185 PACKAGE_NAME = @PACKAGE_NAME@
186 PACKAGE_STRING = @PACKAGE_STRING@
187 PACKAGE_TARNAME = @PACKAGE_TARNAME@
188 PACKAGE_VERSION = @PACKAGE_VERSION@
189 PATH_SEPARATOR = @PATH_SEPARATOR@
190 PCAT = @PCAT@
191 PERL = @PERL@
192 PRINT = @PRINT@
193 RANLIB = @RANLIB@
194 READLINE_LIBS = @READLINE_LIBS@
195 RESTORE = @RESTORE@
196 SAMBA_CLIENT = @SAMBA_CLIENT@
197 SERVICE_SUFFIX = @SERVICE_SUFFIX@
198 SETUID_GROUP = @SETUID_GROUP@
199 SET_MAKE = @SET_MAKE@
200 SHELL = @SHELL@
201 SNAPSHOT_STAMP = @SNAPSHOT_STAMP@
202 STRIP = @STRIP@
203 USE_VERSION_SUFFIXES = @USE_VERSION_SUFFIXES@
204 VDUMP = @VDUMP@
205 VERSION = @VERSION@
206 VERSION_COMMENT = @VERSION_COMMENT@
207 VERSION_MAJOR = @VERSION_MAJOR@
208 VERSION_MINOR = @VERSION_MINOR@
209 VERSION_PATCH = @VERSION_PATCH@
210 VERSION_SUFFIX = @VERSION_SUFFIX@
211 VRESTORE = @VRESTORE@
212 VXDUMP = @VXDUMP@
213 VXRESTORE = @VXRESTORE@
214 WANT_AMPLOT_FALSE = @WANT_AMPLOT_FALSE@
215 WANT_AMPLOT_TRUE = @WANT_AMPLOT_TRUE@
216 WANT_CHG_SCSI_FALSE = @WANT_CHG_SCSI_FALSE@
217 WANT_CHG_SCSI_TRUE = @WANT_CHG_SCSI_TRUE@
218 WANT_CHIO_SCSI_FALSE = @WANT_CHIO_SCSI_FALSE@
219 WANT_CHIO_SCSI_TRUE = @WANT_CHIO_SCSI_TRUE@
220 WANT_CLIENT_FALSE = @WANT_CLIENT_FALSE@
221 WANT_CLIENT_TRUE = @WANT_CLIENT_TRUE@
222 WANT_RECOVER_FALSE = @WANT_RECOVER_FALSE@
223 WANT_RECOVER_TRUE = @WANT_RECOVER_TRUE@
224 WANT_RESTORE_FALSE = @WANT_RESTORE_FALSE@
225 WANT_RESTORE_TRUE = @WANT_RESTORE_TRUE@
226 WANT_RUNTIME_PSEUDO_RELOC_FALSE = @WANT_RUNTIME_PSEUDO_RELOC_FALSE@
227 WANT_RUNTIME_PSEUDO_RELOC_TRUE = @WANT_RUNTIME_PSEUDO_RELOC_TRUE@
228 WANT_SAMBA_FALSE = @WANT_SAMBA_FALSE@
229 WANT_SAMBA_TRUE = @WANT_SAMBA_TRUE@
230 WANT_SERVER_FALSE = @WANT_SERVER_FALSE@
231 WANT_SERVER_TRUE = @WANT_SERVER_TRUE@
232 WANT_SETUID_CLIENT_FALSE = @WANT_SETUID_CLIENT_FALSE@
233 WANT_SETUID_CLIENT_TRUE = @WANT_SETUID_CLIENT_TRUE@
234 WANT_SSH_SECURITY_FALSE = @WANT_SSH_SECURITY_FALSE@
235 WANT_SSH_SECURITY_TRUE = @WANT_SSH_SECURITY_TRUE@
236 WANT_TAPE_FALSE = @WANT_TAPE_FALSE@
237 WANT_TAPE_TRUE = @WANT_TAPE_TRUE@
238 XFSDUMP = @XFSDUMP@
239 XFSRESTORE = @XFSRESTORE@
240 XSLTPROC = @XSLTPROC@
241 YACC = @YACC@
242 ac_c = @ac_c@
243 ac_ct_AR = @ac_ct_AR@
244 ac_ct_CC = @ac_ct_CC@
245 ac_ct_CXX = @ac_ct_CXX@
246 ac_ct_F77 = @ac_ct_F77@
247 ac_ct_RANLIB = @ac_ct_RANLIB@
248 ac_ct_STRIP = @ac_ct_STRIP@
249 ac_n = @ac_n@
250 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
251 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
252 am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
253 am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
254 am__include = @am__include@
255 am__leading_dot = @am__leading_dot@
256 am__quote = @am__quote@
257 am__tar = @am__tar@
258 am__untar = @am__untar@
259 bindir = @bindir@
260 build = @build@
261 build_alias = @build_alias@
262 build_cpu = @build_cpu@
263 build_os = @build_os@
264 build_vendor = @build_vendor@
265 datadir = @datadir@
266 exec_prefix = @exec_prefix@
267 host = @host@
268 host_alias = @host_alias@
269 host_cpu = @host_cpu@
270 host_os = @host_os@
271 host_vendor = @host_vendor@
272 includedir = @includedir@
273 infodir = @infodir@
274 install_sh = @install_sh@
275 libdir = @libdir@
276 libexecdir = @libexecdir@
277 localstatedir = @localstatedir@
278 mandir = @mandir@
279 mkdir_p = @mkdir_p@
280 oldincludedir = @oldincludedir@
281 prefix = @prefix@
282 program_transform_name = @program_transform_name@
283 sbindir = @sbindir@
284 sharedstatedir = @sharedstatedir@
285 sysconfdir = @sysconfdir@
286 target = @target@
287 target_alias = @target_alias@
288 target_cpu = @target_cpu@
289 target_os = @target_os@
290 target_vendor = @target_vendor@
291 AUTOMAKE_OPTIONS = 1.4 foreign
292 ACINCLUDE_M4 = $(srcdir)/acinclude.m4
293 ACINCLUDE_M4I = $(srcdir)/config/acinclude.m4i
294 LIBTOOL_M4I = $(srcdir)/config/libtool.m4i
295 ACINCLUDE_M4_DEPS = $(ACINCLUDE_M4I) $(LIBTOOL_M4I)
296 @WANT_CLIENT_TRUE@CLIENT_SUBDIRS = client-src dumper-src
297 @WANT_TAPE_TRUE@TAPE_SUBDIRS = tape-src
298 @WANT_SERVER_TRUE@SERVER_SUBDIRS = server-src changer-src
299 @WANT_RESTORE_TRUE@RESTORE_SUBDIRS = restore-src
300 @WANT_RECOVER_TRUE@RECOVER_SUBDIRS = recover-src oldrecover-src
301 @WANT_AMPLOT_TRUE@PLOT_SUBDIRS = amplot
302 # order is significant, don't change it arbitrarily
303 SUBDIRS = \
304         config \
305         common-src \
306         amandad-src \
307         $(TAPE_SUBDIRS) \
308         $(CLIENT_SUBDIRS) \
309         $(SERVER_SUBDIRS) \
310         $(RESTORE_SUBDIRS) \
311         $(RECOVER_SUBDIRS) \
312         $(PLOT_SUBDIRS) \
313         man docs example
314
315 pkgdata_DATA = \
316         ReleaseNotes                    \
317         COPYRIGHT                       \
318         COPYRIGHT-APACHE                \
319         COPYRIGHT-REGEX
320
321 EXTRA_DIST = $(SNAPSHOT_STAMP) \
322         $(pkgdata_DATA)                 \
323         autogen                         \
324         contrib/README                  \
325         contrib/dbbackup.README         \
326         contrib/dbbackup.ksh            \
327         contrib/dbbackup.sql            \
328         contrib/dbbackup.tcl            \
329         contrib/mkamandisk              \
330         contrib/set_prod_link.pl        \
331         contrib/sst/Makefile            \
332         contrib/sst/README              \
333         contrib/sst/README.Amanda       \
334         contrib/sst/sst.c               \
335         contrib/sst/sst.conf            \
336         contrib/sst/sst_def.h           \
337         contrib/sst/sstest.c            \
338         contrib/gsc/README              \
339         contrib/gsc/cfggsc.c            \
340         contrib/gsc/defgsc.c            \
341         contrib/gsc/gsc.add             \
342         contrib/gsc/gscdd.c             \
343         contrib/gsc/gscdds.h            \
344         contrib/gsc/makefile            \
345         contrib/gsc/tstinq.c            \
346         contrib/gsc/ucfggsc.c           \
347         patches/regex-3.6alpha.patch    \
348         patches/samba-largefs.patch     \
349         patches/tar-1.12.patch          \
350         regex-src/COPYRIGHT             \
351         regex-src/Makefile              \
352         regex-src/README                \
353         regex-src/WHATSNEW              \
354         regex-src/cclass.h              \
355         regex-src/cname.h               \
356         regex-src/debug.c               \
357         regex-src/engine.c              \
358         regex-src/main.c                \
359         regex-src/mkh                   \
360         regex-src/regcomp.c             \
361         regex-src/regerror.c            \
362         regex-src/regex.3               \
363         regex-src/regex.7               \
364         regex-src/regex2.h              \
365         regex-src/regexec.c             \
366         regex-src/regfree.c             \
367         regex-src/split.c               \
368         regex-src/tests                 \
369         regex-src/utils.h               \
370         regex-src/fake/limits.h         \
371         regex-src/fake/memmove.c        \
372         regex-src/fake/stdlib.h
373
374 CONFIG_STATUS = config.status
375 all: all-recursive
376
377 .SUFFIXES:
378 am--refresh:
379         @:
380 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
381         @for dep in $?; do \
382           case '$(am__configure_deps)' in \
383             *$$dep*) \
384               echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
385               cd $(srcdir) && $(AUTOMAKE) --foreign  \
386                 && exit 0; \
387               exit 1;; \
388           esac; \
389         done; \
390         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  Makefile'; \
391         cd $(top_srcdir) && \
392           $(AUTOMAKE) --foreign  Makefile
393 .PRECIOUS: Makefile
394 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
395         @case '$?' in \
396           *config.status*) \
397             echo ' $(SHELL) ./config.status'; \
398             $(SHELL) ./config.status;; \
399           *) \
400             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
401             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
402         esac;
403
404 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
405         $(SHELL) ./config.status --recheck
406
407 $(top_srcdir)/configure:  $(am__configure_deps)
408         cd $(srcdir) && $(AUTOCONF)
409 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
410         cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
411
412 mostlyclean-libtool:
413         -rm -f *.lo
414
415 clean-libtool:
416         -rm -rf .libs _libs
417
418 distclean-libtool:
419         -rm -f libtool
420 uninstall-info-am:
421 install-pkgdataDATA: $(pkgdata_DATA)
422         @$(NORMAL_INSTALL)
423         test -z "$(pkgdatadir)" || $(mkdir_p) "$(DESTDIR)$(pkgdatadir)"
424         @list='$(pkgdata_DATA)'; for p in $$list; do \
425           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
426           f=$(am__strip_dir) \
427           echo " $(pkgdataDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(pkgdatadir)/$$f'"; \
428           $(pkgdataDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(pkgdatadir)/$$f"; \
429         done
430
431 uninstall-pkgdataDATA:
432         @$(NORMAL_UNINSTALL)
433         @list='$(pkgdata_DATA)'; for p in $$list; do \
434           f=$(am__strip_dir) \
435           echo " rm -f '$(DESTDIR)$(pkgdatadir)/$$f'"; \
436           rm -f "$(DESTDIR)$(pkgdatadir)/$$f"; \
437         done
438
439 # This directory's subdirectories are mostly independent; you can cd
440 # into them and run `make' without going through this Makefile.
441 # To change the values of `make' variables: instead of editing Makefiles,
442 # (1) if the variable is set in `config.status', edit `config.status'
443 #     (which will cause the Makefiles to be regenerated when you run `make');
444 # (2) otherwise, pass the desired values on the `make' command line.
445 $(RECURSIVE_TARGETS):
446         @failcom='exit 1'; \
447         for f in x $$MAKEFLAGS; do \
448           case $$f in \
449             *=* | --[!k]*);; \
450             *k*) failcom='fail=yes';; \
451           esac; \
452         done; \
453         dot_seen=no; \
454         target=`echo $@ | sed s/-recursive//`; \
455         list='$(SUBDIRS)'; for subdir in $$list; do \
456           echo "Making $$target in $$subdir"; \
457           if test "$$subdir" = "."; then \
458             dot_seen=yes; \
459             local_target="$$target-am"; \
460           else \
461             local_target="$$target"; \
462           fi; \
463           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
464           || eval $$failcom; \
465         done; \
466         if test "$$dot_seen" = "no"; then \
467           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
468         fi; test -z "$$fail"
469
470 mostlyclean-recursive clean-recursive distclean-recursive \
471 maintainer-clean-recursive:
472         @failcom='exit 1'; \
473         for f in x $$MAKEFLAGS; do \
474           case $$f in \
475             *=* | --[!k]*);; \
476             *k*) failcom='fail=yes';; \
477           esac; \
478         done; \
479         dot_seen=no; \
480         case "$@" in \
481           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
482           *) list='$(SUBDIRS)' ;; \
483         esac; \
484         rev=''; for subdir in $$list; do \
485           if test "$$subdir" = "."; then :; else \
486             rev="$$subdir $$rev"; \
487           fi; \
488         done; \
489         rev="$$rev ."; \
490         target=`echo $@ | sed s/-recursive//`; \
491         for subdir in $$rev; do \
492           echo "Making $$target in $$subdir"; \
493           if test "$$subdir" = "."; then \
494             local_target="$$target-am"; \
495           else \
496             local_target="$$target"; \
497           fi; \
498           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
499           || eval $$failcom; \
500         done && test -z "$$fail"
501 tags-recursive:
502         list='$(SUBDIRS)'; for subdir in $$list; do \
503           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
504         done
505 ctags-recursive:
506         list='$(SUBDIRS)'; for subdir in $$list; do \
507           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
508         done
509
510 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
511         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
512         unique=`for i in $$list; do \
513             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
514           done | \
515           $(AWK) '    { files[$$0] = 1; } \
516                END { for (i in files) print i; }'`; \
517         mkid -fID $$unique
518 tags: TAGS
519
520 TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
521                 $(TAGS_FILES) $(LISP)
522         tags=; \
523         here=`pwd`; \
524         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
525           include_option=--etags-include; \
526           empty_fix=.; \
527         else \
528           include_option=--include; \
529           empty_fix=; \
530         fi; \
531         list='$(SUBDIRS)'; for subdir in $$list; do \
532           if test "$$subdir" = .; then :; else \
533             test ! -f $$subdir/TAGS || \
534               tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
535           fi; \
536         done; \
537         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
538         unique=`for i in $$list; do \
539             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
540           done | \
541           $(AWK) '    { files[$$0] = 1; } \
542                END { for (i in files) print i; }'`; \
543         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
544           test -n "$$unique" || unique=$$empty_fix; \
545           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
546             $$tags $$unique; \
547         fi
548 ctags: CTAGS
549 CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
550                 $(TAGS_FILES) $(LISP)
551         tags=; \
552         here=`pwd`; \
553         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
554         unique=`for i in $$list; do \
555             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
556           done | \
557           $(AWK) '    { files[$$0] = 1; } \
558                END { for (i in files) print i; }'`; \
559         test -z "$(CTAGS_ARGS)$$tags$$unique" \
560           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
561              $$tags $$unique
562
563 GTAGS:
564         here=`$(am__cd) $(top_builddir) && pwd` \
565           && cd $(top_srcdir) \
566           && gtags -i $(GTAGS_ARGS) $$here
567
568 distclean-tags:
569         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
570
571 distdir: $(DISTFILES)
572         $(am__remove_distdir)
573         mkdir $(distdir)
574         $(mkdir_p) $(distdir)/amplot $(distdir)/changer-src $(distdir)/client-src $(distdir)/common-src $(distdir)/contrib $(distdir)/contrib/gsc $(distdir)/contrib/sst $(distdir)/dumper-src $(distdir)/example $(distdir)/patches $(distdir)/regex-src $(distdir)/regex-src/fake $(distdir)/server-src
575         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
576         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
577         list='$(DISTFILES)'; for file in $$list; do \
578           case $$file in \
579             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
580             $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
581           esac; \
582           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
583           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
584           if test "$$dir" != "$$file" && test "$$dir" != "."; then \
585             dir="/$$dir"; \
586             $(mkdir_p) "$(distdir)$$dir"; \
587           else \
588             dir=''; \
589           fi; \
590           if test -d $$d/$$file; then \
591             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
592               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
593             fi; \
594             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
595           else \
596             test -f $(distdir)/$$file \
597             || cp -p $$d/$$file $(distdir)/$$file \
598             || exit 1; \
599           fi; \
600         done
601         list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
602           if test "$$subdir" = .; then :; else \
603             test -d "$(distdir)/$$subdir" \
604             || $(mkdir_p) "$(distdir)/$$subdir" \
605             || exit 1; \
606             distdir=`$(am__cd) $(distdir) && pwd`; \
607             top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
608             (cd $$subdir && \
609               $(MAKE) $(AM_MAKEFLAGS) \
610                 top_distdir="$$top_distdir" \
611                 distdir="$$distdir/$$subdir" \
612                 distdir) \
613               || exit 1; \
614           fi; \
615         done
616         $(MAKE) $(AM_MAKEFLAGS) \
617           top_distdir="$(top_distdir)" distdir="$(distdir)" \
618           dist-hook
619         -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
620           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
621           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
622           ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
623         || chmod -R a+r $(distdir)
624 dist-gzip: distdir
625         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
626         $(am__remove_distdir)
627
628 dist-bzip2: distdir
629         tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
630         $(am__remove_distdir)
631
632 dist-tarZ: distdir
633         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
634         $(am__remove_distdir)
635
636 dist-shar: distdir
637         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
638         $(am__remove_distdir)
639
640 dist-zip: distdir
641         -rm -f $(distdir).zip
642         zip -rq $(distdir).zip $(distdir)
643         $(am__remove_distdir)
644
645 dist dist-all: distdir
646         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
647         $(am__remove_distdir)
648
649 # This target untars the dist file and tries a VPATH configuration.  Then
650 # it guarantees that the distribution is self-contained by making another
651 # tarfile.
652 distcheck: dist
653         case '$(DIST_ARCHIVES)' in \
654         *.tar.gz*) \
655           GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
656         *.tar.bz2*) \
657           bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
658         *.tar.Z*) \
659           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
660         *.shar.gz*) \
661           GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
662         *.zip*) \
663           unzip $(distdir).zip ;;\
664         esac
665         chmod -R a-w $(distdir); chmod a+w $(distdir)
666         mkdir $(distdir)/_build
667         mkdir $(distdir)/_inst
668         chmod a-w $(distdir)
669         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
670           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
671           && cd $(distdir)/_build \
672           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
673             $(DISTCHECK_CONFIGURE_FLAGS) \
674           && $(MAKE) $(AM_MAKEFLAGS) \
675           && $(MAKE) $(AM_MAKEFLAGS) dvi \
676           && $(MAKE) $(AM_MAKEFLAGS) check \
677           && $(MAKE) $(AM_MAKEFLAGS) install \
678           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
679           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
680           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
681                 distuninstallcheck \
682           && chmod -R a-w "$$dc_install_base" \
683           && ({ \
684                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
685                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
686                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
687                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
688                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
689               } || { rm -rf "$$dc_destdir"; exit 1; }) \
690           && rm -rf "$$dc_destdir" \
691           && $(MAKE) $(AM_MAKEFLAGS) dist \
692           && rm -rf $(DIST_ARCHIVES) \
693           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
694         $(am__remove_distdir)
695         @(echo "$(distdir) archives ready for distribution: "; \
696           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
697           sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
698 distuninstallcheck:
699         @cd $(distuninstallcheck_dir) \
700         && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
701            || { echo "ERROR: files left after uninstall:" ; \
702                 if test -n "$(DESTDIR)"; then \
703                   echo "  (check DESTDIR support)"; \
704                 fi ; \
705                 $(distuninstallcheck_listfiles) ; \
706                 exit 1; } >&2
707 distcleancheck: distclean
708         @if test '$(srcdir)' = . ; then \
709           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
710           exit 1 ; \
711         fi
712         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
713           || { echo "ERROR: files left in build directory after distclean:" ; \
714                $(distcleancheck_listfiles) ; \
715                exit 1; } >&2
716 check-am: all-am
717 check: check-recursive
718 all-am: Makefile $(DATA)
719 installdirs: installdirs-recursive
720 installdirs-am:
721         for dir in "$(DESTDIR)$(pkgdatadir)"; do \
722           test -z "$$dir" || $(mkdir_p) "$$dir"; \
723         done
724 install: install-recursive
725 install-exec: install-exec-recursive
726 install-data: install-data-recursive
727 uninstall: uninstall-recursive
728
729 install-am: all-am
730         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
731
732 installcheck: installcheck-recursive
733 install-strip:
734         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
735           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
736           `test -z '$(STRIP)' || \
737             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
738 mostlyclean-generic:
739
740 clean-generic:
741
742 distclean-generic:
743         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
744
745 maintainer-clean-generic:
746         @echo "This command is intended for maintainers to use"
747         @echo "it deletes files that may require special tools to rebuild."
748 clean: clean-recursive
749
750 clean-am: clean-generic clean-libtool mostlyclean-am
751
752 distclean: distclean-recursive
753         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
754         -rm -f Makefile
755 distclean-am: clean-am distclean-generic distclean-libtool \
756         distclean-tags
757
758 dvi: dvi-recursive
759
760 dvi-am:
761
762 html: html-recursive
763
764 info: info-recursive
765
766 info-am:
767
768 install-data-am: install-pkgdataDATA
769
770 install-exec-am:
771
772 install-info: install-info-recursive
773
774 install-man:
775
776 installcheck-am:
777
778 maintainer-clean: maintainer-clean-recursive
779         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
780         -rm -rf $(top_srcdir)/autom4te.cache
781         -rm -f Makefile
782 maintainer-clean-am: distclean-am maintainer-clean-generic
783
784 mostlyclean: mostlyclean-recursive
785
786 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
787
788 pdf: pdf-recursive
789
790 pdf-am:
791
792 ps: ps-recursive
793
794 ps-am:
795
796 uninstall-am: uninstall-info-am uninstall-pkgdataDATA
797
798 uninstall-info: uninstall-info-recursive
799
800 .PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am am--refresh check \
801         check-am clean clean-generic clean-libtool clean-recursive \
802         ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
803         dist-hook dist-shar dist-tarZ dist-zip distcheck distclean \
804         distclean-generic distclean-libtool distclean-recursive \
805         distclean-tags distcleancheck distdir distuninstallcheck dvi \
806         dvi-am html html-am info info-am install install-am \
807         install-data install-data-am install-exec install-exec-am \
808         install-info install-info-am install-man install-pkgdataDATA \
809         install-strip installcheck installcheck-am installdirs \
810         installdirs-am maintainer-clean maintainer-clean-generic \
811         maintainer-clean-recursive mostlyclean mostlyclean-generic \
812         mostlyclean-libtool mostlyclean-recursive pdf pdf-am ps ps-am \
813         tags tags-recursive uninstall uninstall-am uninstall-info-am \
814         uninstall-pkgdataDATA
815
816
817 $(ACINCLUDE_M4): $(ACINCLUDE_M4_DEPS)
818         @-rm -f $@
819         @cat $(ACINCLUDE_M4_DEPS) > $@
820
821 libtool: $(LIBTOOL_DEPS)
822         $(SHELL) ./config.status --recheck
823 $(CONFIG_STATUS): $(SNAPSHOT_STAMP)
824 SNAPSHOT:
825         : SNAPSHOT file was removed, will reconfigure...
826
827 lint:
828         (cd amandad-src; make lint)
829         (cd changer-src; make lint)
830         (cd client-src; make lint)
831         (cd common-src; make lint)
832         (cd oldrecover-src; make lint)
833         (cd recover-src; make lint)
834         (cd regex-src; make lint)
835         (cd restore-src; make lint)
836         (cd server-src; make lint)
837         (cd tape-src; make lint)
838
839 dist-hook:
840         find $(distdir)/. -name '*.test.c' -exec rm {} \;
841 # Tell versions [3.59,3.63) of GNU make to not export all variables.
842 # Otherwise a system limit (for SysV at least) may be exceeded.
843 .NOEXPORT: